Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

LMS 2.5.1 and cygwin

I have installed the latest cygwin on the Win2003 server running LMS 2.5.1.

I tried to run cron.exe, i got this error:

>>>>>> C:\cygwin\usr\sbin\cron.exe (1468): *** system shared memory version mismatch detected - 0x2D1E009C/0x75BE007A.

This problem is probably due to using incompatible versions of the cygwin DLL.

Search for cygwin1.dll using the Windows Start->Find/Search facility

and delete all but the most recent version. The most recent version *should*

reside in x:\cygwin\bin, where 'x' is the drive on which you have

installed the cygwin distribution. Rebooting is also suggested if you

are unable to find another cygwin DLL. <<<<<<

I searched for cygwin1.dll, and there is another older copy in the CSCOpx\bin directory.

Is it safe to delete (or maybe replace) the cygwin1.dll in CSCOpx\bin as requested in the error message, without messing up the ciscoworks installation or any ciscoworks mecanism?

Thanks

1 REPLY
Cisco Employee

Re: LMS 2.5.1 and cygwin

Absolutely not. The cygwin1.dll that LMS ships is used by our tar.exe binary (required for backups). We actually have a known incompatibility with other copies of cygwin1.dll, and it is recommended for the time being NOT to install Cygwin, or any other Cygwin consumers on your LMS server.

216
Views
0
Helpful
1
Replies